پیښې
GET https://uptimer24.com/api/incidents/
curl --request GET \
--url 'https://uptimer24.com/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
| پیرامیټرونه | تفصیلات | تفصیل |
|---|---|---|
| search | اختیاري سټرينګ | د لټون تار. |
| search_by | اختیاري سټرينګ | تاسو د کومې برخې له مخې لټون کوئ. اجازه ورکړل شوي ارزښتونه دي: comment. |
| datetime_field | اختیاري سټرينګ | اجازه ورکړل شوي ارزښتونه: start_datetime, end_datetime, last_failed_check_datetime |
| datetime_start | اختیاري سټرينګ | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختیاري سټرينګ | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختیاري سټرينګ | کومه برخه چې د پایلو د ترتیب لپاره وټاکل شي. اجازه ورکړل شوي ارزښتونه دي: incident_id, start_datetime, end_datetime, last_failed_check_datetime, failed_checks. |
| order_type | اختیاري سټرينګ | د پایلو ترتیب. اجازه ورکړل شوي ارزښتونه دي: ASC د پورته ترتیب لپاره، او DESC د ښکته ترتیب لپاره. |
| page | اختیاري عدد صحیح | هغه د پاڼې شمېره چې تاسو یې پایلې غواړئ. په ډیفالټ کې 1 دی. |
| results_per_page | اختیاري عدد صحیح | تاسو په هره پاڼه کې څو پایلې غواړئ. اجازه ورکړل شوي ارزښتونه دي: 10, 25, 50, 100, 250, 500, 1000. په ډیفالټ ډول 25 ته ټاکل شوی. |
{
"data": [
{
"id": 1,
"user_id": 1,
"monitor_id": 0,
"start_monitor_log_id": 0,
"end_monitor_log_id": 0,
"heartbeat_id": 13,
"start_heartbeat_log_id": 264,
"end_heartbeat_log_id": 0,
"start_datetime": "2026-07-19 04:06:00",
"end_datetime": null,
"last_failed_check_datetime": null,
"failed_checks": 5,
"notification_handlers_ids": [1,2,3],
"comment": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptimer24.com/api/incidents?page=1",
"last": "https://uptimer24.com/api/incidents?page=1",
"next": null,
"prev": null,
"self": "https://uptimer24.com/api/incidents?page=1"
}
}
GET https://uptimer24.com/api/incidents/{incident_id}
curl --request GET \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"monitor_id": 0,
"start_monitor_log_id": 0,
"end_monitor_log_id": 0,
"heartbeat_id": 13,
"start_heartbeat_log_id": 264,
"end_heartbeat_log_id": 0,
"start_datetime": "2026-07-19 04:06:00",
"end_datetime": null,
"last_failed_check_datetime": null,
"failed_checks": 5,
"notification_handlers_ids": [1,2,3],
"comment": null
}
}
POST https://uptimer24.com/api/incidents/{incident_id}
| پیرامیټرونه | تفصیلات | تفصیل |
|---|---|---|
| comment | اختیاري سټرينګ | - |
curl --request POST \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptimer24.com/api/incidents/{incident_id}
curl --request DELETE \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \